Bug 118385 - CRASH: LibreOffice Writer unexpectedly silently exits on loading a certain document.
Summary: CRASH: LibreOffice Writer unexpectedly silently exits on loading a certain do...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Windows (All)
: highest critical
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-06-25 22:54 UTC by himajin100000
Modified: 2018-08-20 10:24 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
reproducible document (45.05 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-06-25 22:56 UTC, himajin100000
Details
non-reproducible document, may be helpful (43.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-06-25 22:56 UTC, himajin100000
Details

Note You need to log in before you can comment on or make changes to this bug.
Description himajin100000 2018-06-25 22:54:59 UTC
Description:
the following message may be useful.

info:sax.fastparser:10656:20016:sax/source/fastparser/fastparser.cxx:1230:  startElement line 2 column 117898 v:stroke
warn:legacy.osl:10656:20016:oox/source/vml/vmlshapecontainer.cxx:45: lclMapShapesById - shape identifier already used 
info:vcl.virdev:10656:20016:vcl/source/gdi/virdev.cxx:204: VirtualDevice::VirtualDevice( 0 )
info:vcl.virdev:10656:20016:vcl/source/gdi/virdev.cxx:112: ImplInitVirDev(0,0,0)
warn:vcl:10656:20016:vcl/win/gdi/salvd.cxx:112: CreateCompatibleDC failed: パラメーターが間違っています。
warn:vcl:10656:20016:vcl/win/gdi/salvd.cxx:67: CreateDIBSection failed: パラメーターが間違っています。
warn:sax:10656:20016:sax/source/fastparser/fastparser.cxx:618: Unexpected exception from XML parser class com::sun::star::uno::Exception msg: Could not create system bitmap!

=================

"パラメーターが間違っています。" is Japanese translation of "Parameter is not valid"

Steps to Reproduce:
1. try to open the attached document
2. wait for a while.

Actual Results:
Somehow LibreOffice exits silently

Expected Results:
LibreOffice successfully displays the document


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 himajin100000 2018-06-25 22:56:00 UTC
Created attachment 143120 [details]
reproducible document
Comment 2 himajin100000 2018-06-25 22:56:37 UTC
Created attachment 143121 [details]
non-reproducible document, may be helpful
Comment 3 himajin100000 2018-06-25 23:01:39 UTC
info:sax.fastparser:10656:20016:sax/source/fastparser/fastparser.cxx:1230:  startElement line 2 column 117973 w:ins
info:sax.fastparser:10656:20016:sax/source/fastparser/fastparser.cxx:1230:  startElement line 2 column 117978 w:r

(snip)

info:vcl.gdi.wndproc:10656:20016:vcl/win/app/salinst.cxx:585: SalComWndProc(nMsg=1138, wParam=138, lParam=6098430)
info:vcl.gdi.wndproc:10656:20016:vcl/win/window/salframe.cxx:5440: SalFrameWndProc(nMsg=130, wParam=0, lParam=0)
warn:vcl:10656:20016:vcl/win/window/salframe.cxx:434: CreateWindowExW failed: ハンドルが無効です。
warn:vcl.window:10656:20016:vcl/source/window/window.cxx:551: Window 00000273DB1BBC40 marked as frame window, is missing from
Comment 4 Buovjaga 2018-07-13 15:36:08 UTC
Repro on Windows, but not on Linux.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 1a8435a23e84f3ceeee580eb9d4404a738d98888
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-07-12_22:57:12
Locale: fi-FI (fi_FI); Calc: group threaded

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: bd394492c165d27c96a44495d9ca694a242acb8f
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on July 11th 2018
Comment 5 Xisco Faulí 2018-07-14 11:46:44 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=09da6dfcfb732dd621670f2b919eb5b5bf09b7ec

author	Szymon Kłos <szymon.klos@collabora.com>	2017-12-07 16:09:47 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2017-12-08 18:51:33 +0100
commit	09da6dfcfb732dd621670f2b919eb5b5bf09b7ec (patch)
tree	e6660d4991781c7ce23fa10b6d79696e1ec68fc6
parent	a26c4448e6e5ffcd285cc691bfc4eb6c7edf76bc (diff)
tdf#114308 Export Watermark size as is
* refactoring
* removed size hack
* export/import "trim" attribute
* DOC: export set of parameters to fit shape & frame

Bisected with: bibisect-win32-6.1

Adding Cc: to Szymon Kłos
Comment 6 Commit Notification 2018-08-16 14:45:00 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=308fbd8cdf9ce0fc3921b6c4c58707609b486fb9

tdf#118385 Avoid crash on loading document

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 himajin100000 2018-08-17 10:46:36 UTC
confirmed that this bug does not happen with 

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 380d0fda99ff664de8443cfc33c7c86bca18134c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-17_00:41:06
Locale: ja-JP (ja_JP); Calc: CL
Comment 8 Aron Budea 2018-08-18 21:49:18 UTC
Let's set status to verified, then, thanks for the confirmation, and thanks to Szymon for the fix!
Comment 9 Commit Notification 2018-08-20 10:24:17 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=67ac2e8adc708480aa4e28a81cec464938e43c86&h=libreoffice-6-1

tdf#118385 Avoid crash on loading document

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.